
package com.ejie.ab04b.webservice.client.ree;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab04b.webservice.client.ree
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName _String_QNAME = new QName("http://www.openuri.org/", "string");
	private final static QName _Void1_QNAME = new QName("http://www.openuri.org/", "void1");
	private final static QName _Void2_QNAME = new QName("http://www.openuri.org/", "void2");
	private final static QName _Boolean_QNAME = new QName("http://www.openuri.org/", "boolean");
	private final static QName _Void3_QNAME = new QName("http://www.openuri.org/", "void3");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.ab04b.webservice.client.ree
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link GetFolderContributedDocuments }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderContributedDocuments createGetFolderContributedDocuments() {
		return new GetFolderContributedDocuments();
	}

	/**
	 * Create an instance of {@link GetFolderInfoResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderInfoResponse createGetFolderInfoResponse() {
		return new GetFolderInfoResponse();
	}

	/**
	 * Create an instance of {@link DoModifyAttributesDocumentResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoModifyAttributesDocumentResponse createDoModifyAttributesDocumentResponse() {
		return new DoModifyAttributesDocumentResponse();
	}

	/**
	 * Create an instance of {@link SolicitudRechazoTraspaso }.
	 *
	 * @return objecto respuesta
	 */
	public SolicitudRechazoTraspaso createSolicitudRechazoTraspaso() {
		return new SolicitudRechazoTraspaso();
	}

	/**
	 * Create an instance of {@link GetExpWaitsFilterList }.
	 *
	 * @return objecto respuesta
	 */
	public GetExpWaitsFilterList createGetExpWaitsFilterList() {
		return new GetExpWaitsFilterList();
	}

	/**
	 * Create an instance of {@link ArrayOfString }.
	 *
	 * @return objecto respuesta
	 */
	public ArrayOfString createArrayOfString() {
		return new ArrayOfString();
	}

	/**
	 * Create an instance of {@link DoTaskGResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoTaskGResponse createDoTaskGResponse() {
		return new DoTaskGResponse();
	}

	/**
	 * Create an instance of {@link DoOpenFolderAdminInitiationRelationsResponse
	 * }.
	 *
	 * @return objecto respuesta
	 */
	public DoOpenFolderAdminInitiationRelationsResponse createDoOpenFolderAdminInitiationRelationsResponse() {
		return new DoOpenFolderAdminInitiationRelationsResponse();
	}

	/**
	 * Create an instance of {@link GetFolderInfoNora }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderInfoNora createGetFolderInfoNora() {
		return new GetFolderInfoNora();
	}

	/**
	 * Create an instance of {@link DoGenerateDocumentLocatorResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoGenerateDocumentLocatorResponse createDoGenerateDocumentLocatorResponse() {
		return new DoGenerateDocumentLocatorResponse();
	}

	/**
	 * Create an instance of {@link DoExpedientTransferReject }.
	 *
	 * @return objecto respuesta
	 */
	public DoExpedientTransferReject createDoExpedientTransferReject() {
		return new DoExpedientTransferReject();
	}

	/**
	 * Create an instance of {@link DoSecureDigitalizeDocumentResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoSecureDigitalizeDocumentResponse createDoSecureDigitalizeDocumentResponse() {
		return new DoSecureDigitalizeDocumentResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentsFolderList }.
	 *
	 * @return objecto respuesta
	 */
	public GetDocumentsFolderList createGetDocumentsFolderList() {
		return new GetDocumentsFolderList();
	}

	/**
	 * Create an instance of {@link GetDocumentInfoDetail }.
	 *
	 * @return objecto respuesta
	 */
	public GetDocumentInfoDetail createGetDocumentInfoDetail() {
		return new GetDocumentInfoDetail();
	}

	/**
	 * Create an instance of {@link RegenerateTask }.
	 *
	 * @return objecto respuesta
	 */
	public RegenerateTask createRegenerateTask() {
		return new RegenerateTask();
	}

	/**
	 * Create an instance of {@link GetFolderInfoNoraResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderInfoNoraResponse createGetFolderInfoNoraResponse() {
		return new GetFolderInfoNoraResponse();
	}

	/**
	 * Create an instance of {@link DoReallocationFolderResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoReallocationFolderResponse createDoReallocationFolderResponse() {
		return new DoReallocationFolderResponse();
	}

	/**
	 * Create an instance of {@link DoModifyContentDocumentResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoModifyContentDocumentResponse createDoModifyContentDocumentResponse() {
		return new DoModifyContentDocumentResponse();
	}

	/**
	 * Create an instance of {@link AnnulTasksResponse }.
	 *
	 * @return objecto respuesta
	 */
	public AnnulTasksResponse createAnnulTasksResponse() {
		return new AnnulTasksResponse();
	}

	/**
	 * Create an instance of {@link DoRetramitateDocumentResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoRetramitateDocumentResponse createDoRetramitateDocumentResponse() {
		return new DoRetramitateDocumentResponse();
	}

	/**
	 * Create an instance of {@link DoTaskG }.
	 *
	 * @return objecto respuesta
	 */
	public DoTaskG createDoTaskG() {
		return new DoTaskG();
	}

	/**
	 * Create an instance of {@link GetFolderGeneratedDocumentsResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderGeneratedDocumentsResponse createGetFolderGeneratedDocumentsResponse() {
		return new GetFolderGeneratedDocumentsResponse();
	}

	/**
	 * Create an instance of {@link AnnulTasksValidation }.
	 *
	 * @return objecto respuesta
	 */
	public AnnulTasksValidation createAnnulTasksValidation() {
		return new AnnulTasksValidation();
	}

	/**
	 * Create an instance of {@link AnnulTasks }.
	 *
	 * @return objecto respuesta
	 */
	public AnnulTasks createAnnulTasks() {
		return new AnnulTasks();
	}

	/**
	 * Create an instance of {@link UpdateFolderDescriptionResponse }.
	 *
	 * @return objecto respuesta
	 */
	public UpdateFolderDescriptionResponse createUpdateFolderDescriptionResponse() {
		return new UpdateFolderDescriptionResponse();
	}

	/**
	 * Create an instance of {@link SolicitudTraspasoExp }.
	 *
	 * @return objecto respuesta
	 */
	public SolicitudTraspasoExp createSolicitudTraspasoExp() {
		return new SolicitudTraspasoExp();
	}

	/**
	 * Create an instance of {@link GetFolderContributedDocumentsResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderContributedDocumentsResponse createGetFolderContributedDocumentsResponse() {
		return new GetFolderContributedDocumentsResponse();
	}

	/**
	 * Create an instance of {@link DoExpedientTransfer }.
	 *
	 * @return objecto respuesta
	 */
	public DoExpedientTransfer createDoExpedientTransfer() {
		return new DoExpedientTransfer();
	}

	/**
	 * Create an instance of {@link NewOperationResponse }.
	 *
	 * @return objecto respuesta
	 */
	public NewOperationResponse createNewOperationResponse() {
		return new NewOperationResponse();
	}

	/**
	 * Create an instance of {@link GetDocumentsFolderListResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetDocumentsFolderListResponse createGetDocumentsFolderListResponse() {
		return new GetDocumentsFolderListResponse();
	}

	/**
	 * Create an instance of {@link UpdateFolderDescription }.
	 *
	 * @return objecto respuesta
	 */
	public UpdateFolderDescription createUpdateFolderDescription() {
		return new UpdateFolderDescription();
	}

	/**
	 * Create an instance of {@link GetExpWaitsFilterListResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetExpWaitsFilterListResponse createGetExpWaitsFilterListResponse() {
		return new GetExpWaitsFilterListResponse();
	}

	/**
	 * Create an instance of {@link DoExpedientTransferResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoExpedientTransferResponse createDoExpedientTransferResponse() {
		return new DoExpedientTransferResponse();
	}

	/**
	 * Create an instance of {@link DoModifyAttributesDocument }.
	 *
	 * @return objecto respuesta
	 */
	public DoModifyAttributesDocument createDoModifyAttributesDocument() {
		return new DoModifyAttributesDocument();
	}

	/**
	 * Create an instance of {@link DoDigitalizeDocumentResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoDigitalizeDocumentResponse createDoDigitalizeDocumentResponse() {
		return new DoDigitalizeDocumentResponse();
	}

	/**
	 * Create an instance of {@link DoReallocationFolderNoDocuments }.
	 *
	 * @return objecto respuesta
	 */
	public DoReallocationFolderNoDocuments createDoReallocationFolderNoDocuments() {
		return new DoReallocationFolderNoDocuments();
	}

	/**
	 * Create an instance of {@link DoRetramitateDocument }.
	 *
	 * @return objecto respuesta
	 */
	public DoRetramitateDocument createDoRetramitateDocument() {
		return new DoRetramitateDocument();
	}

	/**
	 * Create an instance of {@link DoTransformDocumentToPDFResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoTransformDocumentToPDFResponse createDoTransformDocumentToPDFResponse() {
		return new DoTransformDocumentToPDFResponse();
	}

	/**
	 * Create an instance of {@link DoGenerateDocumentLocator }.
	 *
	 * @return objecto respuesta
	 */
	public DoGenerateDocumentLocator createDoGenerateDocumentLocator() {
		return new DoGenerateDocumentLocator();
	}

	/**
	 * Create an instance of {@link DoDigitalizeDocument }.
	 *
	 * @return objecto respuesta
	 */
	public DoDigitalizeDocument createDoDigitalizeDocument() {
		return new DoDigitalizeDocument();
	}

	/**
	 * Create an instance of {@link GetFolderInfo }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderInfo createGetFolderInfo() {
		return new GetFolderInfo();
	}

	/**
	 * Create an instance of {@link GetFolderDocumentsInfoAttributesResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderDocumentsInfoAttributesResponse createGetFolderDocumentsInfoAttributesResponse() {
		return new GetFolderDocumentsInfoAttributesResponse();
	}

	/**
	 * Create an instance of
	 * {@link GetFolderGeneratedDocumentsNotificationResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderGeneratedDocumentsNotificationResponse createGetFolderGeneratedDocumentsNotificationResponse() {
		return new GetFolderGeneratedDocumentsNotificationResponse();
	}

	/**
	 * Create an instance of {@link DoExpedientTransferRejectResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoExpedientTransferRejectResponse createDoExpedientTransferRejectResponse() {
		return new DoExpedientTransferRejectResponse();
	}

	/**
	 * Create an instance of {@link DoRequestDocumentSignatureResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoRequestDocumentSignatureResponse createDoRequestDocumentSignatureResponse() {
		return new DoRequestDocumentSignatureResponse();
	}

	/**
	 * Create an instance of {@link RegenerateTaskResponse }.
	 *
	 * @return objecto respuesta
	 */
	public RegenerateTaskResponse createRegenerateTaskResponse() {
		return new RegenerateTaskResponse();
	}

	/**
	 * Create an instance of {@link GetFolderDocumentsInfoAttributes }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderDocumentsInfoAttributes createGetFolderDocumentsInfoAttributes() {
		return new GetFolderDocumentsInfoAttributes();
	}

	/**
	 * Create an instance of {@link DoOpenFolderAdminInitiationRelations }.
	 *
	 * @return objecto respuesta
	 */
	public DoOpenFolderAdminInitiationRelations createDoOpenFolderAdminInitiationRelations() {
		return new DoOpenFolderAdminInitiationRelations();
	}

	/**
	 * Create an instance of {@link GetFolderGeneratedDocuments }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderGeneratedDocuments createGetFolderGeneratedDocuments() {
		return new GetFolderGeneratedDocuments();
	}

	/**
	 * Create an instance of {@link AnnulTasksValidationResponse }.
	 *
	 * @return objecto respuesta
	 */
	public AnnulTasksValidationResponse createAnnulTasksValidationResponse() {
		return new AnnulTasksValidationResponse();
	}

	/**
	 * Create an instance of {@link DoModifyContentDocument }.
	 *
	 * @return objecto respuesta
	 */
	public DoModifyContentDocument createDoModifyContentDocument() {
		return new DoModifyContentDocument();
	}

	/**
	 * Create an instance of {@link SolicitudRechazoTraspasoResponse }.
	 *
	 * @return objecto respuesta
	 */
	public SolicitudRechazoTraspasoResponse createSolicitudRechazoTraspasoResponse() {
		return new SolicitudRechazoTraspasoResponse();
	}

	/**
	 * Create an instance of {@link DoTransformDocumentToPDF }.
	 *
	 * @return objecto respuesta
	 */
	public DoTransformDocumentToPDF createDoTransformDocumentToPDF() {
		return new DoTransformDocumentToPDF();
	}

	/**
	 * Create an instance of {@link GetFolderGeneratedDocumentsNotification }.
	 *
	 * @return objecto respuesta
	 */
	public GetFolderGeneratedDocumentsNotification createGetFolderGeneratedDocumentsNotification() {
		return new GetFolderGeneratedDocumentsNotification();
	}

	/**
	 * Create an instance of {@link DoRequestDocumentSignature }.
	 *
	 * @return objecto respuesta
	 */
	public DoRequestDocumentSignature createDoRequestDocumentSignature() {
		return new DoRequestDocumentSignature();
	}

	/**
	 * Create an instance of {@link DoSecureDigitalizeDocument }.
	 *
	 * @return objecto respuesta
	 */
	public DoSecureDigitalizeDocument createDoSecureDigitalizeDocument() {
		return new DoSecureDigitalizeDocument();
	}

	/**
	 * Create an instance of {@link DoReallocationFolder }.
	 *
	 * @return objecto respuesta
	 */
	public DoReallocationFolder createDoReallocationFolder() {
		return new DoReallocationFolder();
	}

	/**
	 * Create an instance of {@link GetDocumentInfoDetailResponse }.
	 *
	 * @return objecto respuesta
	 */
	public GetDocumentInfoDetailResponse createGetDocumentInfoDetailResponse() {
		return new GetDocumentInfoDetailResponse();
	}

	/**
	 * Create an instance of {@link DoReallocationFolderNoDocumentsResponse }.
	 *
	 * @return objecto respuesta
	 */
	public DoReallocationFolderNoDocumentsResponse createDoReallocationFolderNoDocumentsResponse() {
		return new DoReallocationFolderNoDocumentsResponse();
	}

	/**
	 * Create an instance of {@link SolicitudTraspasoExpResponse }.
	 *
	 * @return objecto respuesta
	 */
	public SolicitudTraspasoExpResponse createSolicitudTraspasoExpResponse() {
		return new SolicitudTraspasoExpResponse();
	}

	/**
	 * Create an instance of {@link ArrayOfInt }.
	 *
	 * @return objecto respuesta
	 */
	public ArrayOfInt createArrayOfInt() {
		return new ArrayOfInt();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }
	 * {@code >}}.
	 *
	 * @param value            String
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(_String_QNAME, String.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void1")
	public JAXBElement<Object> createVoid1(Object value) {
		return new JAXBElement<Object>(_Void1_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void2")
	public JAXBElement<Object> createVoid2(Object value) {
		return new JAXBElement<Object>(_Void2_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "boolean")
	public JAXBElement<Boolean> createBoolean(Boolean value) {
		return new JAXBElement<Boolean>(_Boolean_QNAME, Boolean.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void3")
	public JAXBElement<Object> createVoid3(Object value) {
		return new JAXBElement<Object>(_Void3_QNAME, Object.class, null, value);
	}

}
